allbounds.c File Reference

Bound all the variables y in (D) and implement DSDPCone operations. More...

Go to the source code of this file.

## Functions

int | BoundYConeGetBounds (LUBounds lucone, double *lb, double *ub)
| Get bounds on the variables.
int | BoundYConeSetBounds (LUBounds lucone, double lb, double ub)
| Set bounds on the variables.
int | DSDPAddLUBounds (DSDP dsdp, LUBounds lucone)
| Set the constraints to the solver.
int | DSDPCreateLUBoundsCone (DSDP dsdp, LUBounds *dspcone)
| Create bounds cone.

## Detailed Description

Bound all the variables y in (D) and implement DSDPCone operations.

Definition in file allbounds.c.

## Function Documentation

## BoundYConeGetBounds()

int BoundYConeGetBounds | ( | LUBounds | lucone,
|  | double * | lb,
|  | double * | ub
| ) |  |

Get bounds on the variables.

Parameters

  lucone | cone of bounds.
  lb | lower bound on variables.
  ub | upper bound

Definition at line 532 of file allbounds.c.

## BoundYConeSetBounds()

int BoundYConeSetBounds | ( | LUBounds | lucone,
|  | double | lb,
|  | double | ub
| ) |  |

Set bounds on the variables.

Parameters

  lucone | cone of bounds.
  lb | lower bound on variables.
  ub | upper bound

Definition at line 512 of file allbounds.c.

Referenced by DSDPCreateLUBoundsCone().

## DSDPAddLUBounds()

int DSDPAddLUBounds | ( | DSDP | dsdp,
|  | LUBounds | lucone
| ) |  |

Set the constraints to the solver.

Parameters

  lucone | cone of bounds.
  dsdp | the solver

Definition at line 549 of file allbounds.c.

Referenced by DSDPCreateLUBoundsCone().

## DSDPCreateLUBoundsCone()

int DSDPCreateLUBoundsCone | ( | DSDP | dsdp,
|  | LUBounds * | dspcone
| ) |  |

Create bounds cone.

Parameters

  dsdp | the solver
  dspcone | cone of bounds.

Definition at line 566 of file allbounds.c.